VisualEditor: After selecting a focusable node backwards by cursoring, pressing up/down throws an exception
Closed, ResolvedPublic

Description

Steps to reproduce:

1.Open a page with VE which has a reference note in it
2.Now place your cursor after the reference note
3.Press backspace to select the reference note
4.Now press down key to go to the next line

Observed Result:
The cursor does not go to the next line and an error appears in the console:

Uncaught NotFoundError: Failed to execute 'selectNode' on 'Range': The node provided is null.

Environment:Betalabs


Version: unspecified
Severity: normal

bzimport set Reference to bz67755.
Ryasmeen created this task.Via LegacyJul 9 2014, 10:17 PM
gerritbot added a comment.Via ConduitJul 15 2014, 3:10 PM

Change 146472 had a related patch set uploaded by Esanders:
Don't handle up/down on focusableNodes even if backwards

https://gerrit.wikimedia.org/r/146472

gerritbot added a comment.Via ConduitJul 15 2014, 5:21 PM

Change 146472 merged by jenkins-bot:
Don't handle up/down on focusableNodes even if backwards

https://gerrit.wikimedia.org/r/146472

Ryasmeen added a comment.Via ConduitJul 16 2014, 11:32 PM

Verified the fix in Betalabs

Ryasmeen added a comment.Via ConduitJul 18 2014, 10:13 PM

Verified the fix in test2

Ryasmeen added a comment.Via ConduitJul 25 2014, 7:51 PM

Verified the fix in production en.wiki

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.